Issue 107084 - Add 1/4, 1/2, 3/4 to the autocorr replacement table (Tools - AutoCorrect Options - Replace)
Summary: Add 1/4, 1/2, 3/4 to the autocorr replacement table (Tools - AutoCorrect Opti...
Status: CLOSED FIXED
Alias: None
Product: Internationalization
Classification: Code
Component: code (show other issues)
Version: OOO310m9
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: eric.savary
QA Contact: issues@l10n
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-20 13:27 UTC by eric.savary
Modified: 2017-05-20 11:41 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description eric.savary 2009-11-20 13:27:04 UTC
We removed the option described in issue 107083 because it should be handled by
the replacement table.

Please add following replacement to the autocorr replacement table:
1/4 -> char 00BC (188)
1/2 -> char 00BD (189)
3/4 -> char 00BE (190)



---------
Note for anybody reading this and wanting more... ;) :

The "fraction" replacement function has once been implemented while the product
was not supporting Unicode. So only the 3 basic fraction characters are supported.

Now Unicode offers more fraction characters (see 2153-215E).
We decided to NOT implement replacements for those characters in the future
(=WONTFIX).
Why?
- We believe the use of such extended characters is pretty marginal (Ex: "5/8")
- Due to performance reasons, we avoid adding more and more entries in the
replacement table
- As those charcters are not available in a majority of the fonts, this would
lead to unwanted problems:
-> user types "5/8" and gets "?" because the current font doesn't support
Unicode. He doesn't know why it happened and where to correct this.
Comment 1 eric.savary 2009-11-20 13:33:06 UTC
Target 3.3
Comment 2 eric.savary 2010-01-25 12:29:24 UTC
Reassigned
Comment 3 eric.savary 2010-01-25 12:47:37 UTC
Reassigned
Comment 4 cedric.bosdonnat.ooo 2010-01-25 13:09:08 UTC
http://hg.services.openoffice.org/cws/cbosdo01/rev/cf629f61bf22
Comment 5 eric.savary 2010-01-25 19:56:49 UTC
Fixed but failed.
None of language have 1/2... in their replacement table.
Cecked in CWS cbosdo01 based on m70.
Comment 6 cedric.bosdonnat.ooo 2010-01-26 13:12:39 UTC
http://hg.services.openoffice.org/cws/cbosdo01/rev/45584cf7334a
Comment 7 eric.savary 2010-01-26 13:23:28 UTC
Reassigned
Comment 8 eric.savary 2010-01-26 13:23:59 UTC
Verified in CWS cbosdo01
Comment 9 stefan.baltzer 2010-02-11 17:41:26 UTC
SBA->cedricbosdo: How comes ES could verify this? I do not any of this in the
remased m70 CWS installation MBA provided.
More findings:The acor_en-US.dat file in the list your last link points to, has
a complete empty replacement list (4kB instead of the original 9kB file size is
suspicious anyway)
Smells like "something wrong", reopening issue.
Comment 10 cedric.bosdonnat.ooo 2010-02-12 08:40:19 UTC
@sba: I can't see the problem you are mentioning with the acor_en-US.dat and the
other problem you're mentioning...

When checking the link to the hg commit I can clearly see the added entries at
the end of the DocumentList.xml of each .dat file.

@mba: any idea where it could come from?
Comment 11 Mathias_Bauer 2010-02-12 15:27:17 UTC
It seems that the build that I provided to Stefan didn't contain the new
autocorrection files. I'm currently doing a rebuild and expect that everything
will be fine then.

Sorry for the noise. 
Comment 12 stefan.baltzer 2010-02-12 16:21:59 UTC
Thanks, MBA: OK in newly built build. Set to fixed again.
Comment 13 stefan.baltzer 2010-02-12 16:24:04 UTC
Verified in CWS cbosdo01.